
ServerEvents.recipes(e=> {
  //植物精华液 //fluidTag
  //e.recipes.createMixing(Fluid.of("nwtc:alga_essences",250),['#forge:dough','#forge:crops',Fluid.of("forge:plantoil",250)]).heated()
   
  e.custom(
    {
        "type": "create:mixing",
        "ingredients": [
          {
            "tag": "forge:dough"
          },
          {
            "tag": "forge:crops"
          },
          {
            "fluidTag": "nwtc:plantoil",
            "amount": 250
          }
        ],
        "results": [
          {
            "fluid": "nwtc:alga_essences",
            "amount": 250
          }
        ],
        "heatRequirement": "heated"
      }
      )
    //面包
  e.remove({ output: 'minecraft:bread'})
  //红石珍珠
  e.remove({ output: 'createteleporters:redstone_pearl',type:'create:mixing'})
  e.recipes.createMixing('8x createteleporters:redstone_pearl',['minecraft:redstone_block','botania:mana_pearl',Fluid.of("nwtc:alga_essences",250)]).superheated()
   



})
